#### D.6.4.10 singularity

Procedure from library `classify.lib` (see classify_lib).

Usage:
  singularity(t, l); t=string (name of singularity),
  l=list of integers/polynomials (indices/parameters of singularity)

Compute:
  get the singularity named by type t from the database. list l is as follows:
  l= k [,r [,s [,a [,b [,c [,d]..]: k,r,s=int a,b,c,d=poly.
  The name of the dbm-databasefile is: NFlist.[dir,pag]. The file is found in the current directory. If it does not exist, please run the script MakeDBM first.

Return:
  Normal form and corank of the singularity named by type t and its index (indices) l.

Example:

    LIB "classify.lib";
    ring r=0,(x,y,z),(c,ds);
    init_debug(0);
    singularity("E[6k]",6);
    ==> [1]:
    ==>    x3+xy13+y19
    ==> [2]:
    ==>    2
    singularity("T[k,r,s]", 3, 7, 5);
    ==> [1]:
    ==>    x3+xyz+z5+y7
    ==> [2]:
    ==>    3
    poly f=y;
    singularity("J[k,r]", 4, 0, 0, f);
    ==> [1]:
    ==>    x3+x2y4+y13
    ==> [2]:
    ==>    2

User manual for Singular version 4.4.1, 2025, generated by texi2html.